Skip to main content
GET
/
v1
/
orders
List Orders
curl --request GET \
  --url https://staging-api.polysimulator.com/v1/orders \
  --header 'X-API-Key: <x-api-key>'
{
  "orders": [
    {
      "order_id": 123,
      "market_id": "<string>",
      "side": "<string>",
      "outcome": "<string>",
      "order_type": "<string>",
      "limit_price": "<string>",
      "quantity": "<string>",
      "time_in_force": "<string>",
      "status": "<string>",
      "client_order_id": "<string>",
      "created_at": "<string>",
      "filled_at": "<string>",
      "fill_price": "<string>",
      "cancelled_at": "<string>"
    }
  ],
  "next_cursor": "<string>",
  "has_more": false,
  "total_hint": 123
}

Headers

X-API-Key
string
required

Your PolySimulator API key

Query Parameters

status
string | null
market_id
string | null
side
string | null
limit
integer
default:50
offset
integer
default:0
cursor
string | null

Response

Successful Response

Paginated response with cursor for efficient iteration.

orders
PendingOrderItem · object[]
required
next_cursor
string | null
has_more
boolean
default:false
total_hint
integer | null